Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mapping.data
Interface JobsTableListener

All Known Implementing Classes:
  JobsTableJPanel

    public interface JobsTableListener

This interface defines the methods that a lister to the job table should implement.

Author:
  Majd Kokaly

Method Summary
`void` | `jobClassIDHasBeenChanged(long jobID, int jobClassId)` The method is invoked when the job class ID of a job is changed.
`void` | `jobHasBeenAdded(long jobID, long jobSecondaryID, int jobClassID, java.lang.String serverName, java.util.GregorianCalendar timeSubmitted, java.util.GregorianCalendar timeSent, java.util.GregorianCalendar timeStarted, java.util.GregorianCalendar timeDone, java.lang.String status, boolean timedOut)` This method is invoked when a table is added to the table
`void` | `secondaryIDHasBeenChanged(long jobID, long jobSecondayID)` The method is invoked when the secondary ID of a job is changed.
`void` | `serverIDHasBeenChanged(long jobID, int serverID)` The method is invoked when the server of a job is changed.
`void` | `serverNameHasBeenChanged(long jobID, java.lang.String serverName)` The method is invoked when the server of a job is changed.
`void` | `statusHasBeenChanged(long jobID, java.lang.String status)` The method is invoked when the status of a job is changed.
`void` | `timeDoneHasBeenChanged(long jobID, java.util.GregorianCalendar timeDone)` The method is invoked when the timeDone of a job is changed.
`void` | `timedOutStatusChanged(long jobID, boolean timedOut)` The method is invoked when a job is times-out.
`void` | `timeSentHasBeenChanged(long jobID, java.util.GregorianCalendar timeSent)` The method is invoked when the timeStarted of a job is changed.
`void` | `timeStartedHasBeenChanged(long jobID, java.util.GregorianCalendar timeStarted)` The method is invoked when the timeStarted of a job is changed.
`void` | `timeSubmittedHasBeenChanged(long jobID, java.util.GregorianCalendar timeSubmitted)` The method is invoked when the timeSubmitted of a job is changed.

Method Detail

### jobHasBeenAdded

    void jobHasBeenAdded(long jobID,
                         long jobSecondaryID,
                         int jobClassID,
                         java.lang.String serverName,
                         java.util.GregorianCalendar timeSubmitted,
                         java.util.GregorianCalendar timeSent,
                         java.util.GregorianCalendar timeStarted,
                         java.util.GregorianCalendar timeDone,
                         java.lang.String status,
                         boolean timedOut)

  This method is invoked when a table is added to the table

  Parameters:
    `jobID` - The job id.
    `jobSecondaryID` - The job secondary id.
    `jobClassID` - The ID of the job class that this job belongs to
    `serverName` - The hostname of the server of this job.
    `timeSubmitted` - The time of submission for this job.
    `timeSent` - The time of sending for this job.
    `timeStarted` - The time of start for this job.
    `timeDone` - The time of completion for this job.
    `status` - The status of this job
    `timedOut` - If this job is timed out or not.

### secondaryIDHasBeenChanged

    void secondaryIDHasBeenChanged(long jobID,
                                   long jobSecondayID)

  The method is invoked when the secondary ID of a job is changed.

  Parameters:
    `jobID` - The ID of the job in subject.
    `jobSecondayID` - The new secondary ID of the job in subject.

### jobClassIDHasBeenChanged

    void jobClassIDHasBeenChanged(long jobID,
                                  int jobClassId)

  The method is invoked when the job class ID of a job is changed.

  Parameters:
    `jobID` - The ID of the job in subject.
    `jobClassId` - the new jobClassID.

### serverNameHasBeenChanged

    void serverNameHasBeenChanged(long jobID,
                                  java.lang.String serverName)

  The method is invoked when the server of a job is changed.

  Parameters:
    `jobID` - The ID of the job in subject.
    `serverName` - the new server name of the job is subject

### serverIDHasBeenChanged

    void serverIDHasBeenChanged(long jobID,
                                int serverID)

  The method is invoked when the server of a job is changed.

  Parameters:
    `jobID` - The ID of the job in subject.
    `ID` - the new server ID of the job is subject.

### timeSubmittedHasBeenChanged

    void timeSubmittedHasBeenChanged(long jobID,
                                     java.util.GregorianCalendar timeSubmitted)

  The method is invoked when the timeSubmitted of a job is changed.

  Parameters:
    `jobID` - The ID of the job in subject.
    `timeSubmitted` - the new timeSubmitted of the job in subject.

### timeSentHasBeenChanged

    void timeSentHasBeenChanged(long jobID,
                                java.util.GregorianCalendar timeSent)

  The method is invoked when the timeStarted of a job is changed.

  Parameters:
    `jobID` - The ID of the job in subject.
    `timeSent` - the new timeSubmitted of the job in subject.

### timeStartedHasBeenChanged

    void timeStartedHasBeenChanged(long jobID,
                                   java.util.GregorianCalendar timeStarted)

  The method is invoked when the timeStarted of a job is changed.

  Parameters:
    `jobID` - The ID of the job in subject.
    `timeStarted` - the new timeStarted of the job in subject.

### timeDoneHasBeenChanged

    void timeDoneHasBeenChanged(long jobID,
                                java.util.GregorianCalendar timeDone)

  The method is invoked when the timeDone of a job is changed.

  Parameters:
    `jobID` - The ID of the job in subject.
    `timeDone` - the new timeDone of the job in subject.

### statusHasBeenChanged

    void statusHasBeenChanged(long jobID,
                              java.lang.String status)

  The method is invoked when the status of a job is changed.

  Parameters:
    `jobID` - The ID of the job in subject.
    `status` - the new status of the job in subject.

### timedOutStatusChanged

    void timedOutStatusChanged(long jobID,
                               boolean timedOut)

  The method is invoked when a job is times-out.

  Parameters:
    `jobID` - the ID of the job in subject.
    `timedOut` - a boolean value. True if timed-out, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD